Bug 871223 - [abrt] hplip-gui-3.12.10-4.a.fc17: systemtray.py:749:notifierActivated:UnicodeDecodeError: 'utf8' codec can't decode byte 0xe3 in position 79: unexpected end of data
[abrt] hplip-gui-3.12.10-4.a.fc17: systemtray.py:749:notifierActivated:Unicod...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:a9ea2acfc55c82faacb23a90164...
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 20:21 EDT by myas
Modified: 2013-08-02 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: environ (1.62 KB, text/plain)
2012-10-29 20:21 EDT, myas
no flags Details
File: event_log (91 bytes, text/plain)
2012-10-29 20:21 EDT, myas
no flags Details
File: smolt_data (2.45 KB, text/plain)
2012-10-29 20:21 EDT, myas
no flags Details
File: core_backtrace (101 bytes, text/plain)
2012-10-29 20:21 EDT, myas
no flags Details
hplip-ensure-utf8.patch (potential fix for crash) (780 bytes, patch)
2012-10-30 10:59 EDT, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 4219 None None None 2012-10-30 10:58:37 EDT
Launchpad 1073192 None None None 2012-10-30 11:03:55 EDT

  None (edit)
Description myas 2012-10-29 20:21:23 EDT
Version-Release number of selected component:
hplip-gui-3.12.10-4.a.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
cmdline:        /usr/bin/python /usr/bin/hp-systray --force-startup
kernel:         3.6.3-1.fc17.x86_64

backtrace:
:systemtray.py:749:notifierActivated:UnicodeDecodeError: 'utf8' codec can't decode byte 0xe3 in position 79: unexpected end of data
:
:Traceback (most recent call last):
:  File "/usr/share/hplip/ui4/systemtray.py", line 749, in notifierActivated
:    msg = "%s\n%s: %s\n(%s/%s)" % (unicode(d), desc, event.title, event.username, event.job_id)
:UnicodeDecodeError: 'utf8' codec can't decode byte 0xe3 in position 79: unexpected end of data
:
:Local variables in innermost frame:
:e: []
:d: PyQt4.QtCore.QString(u'Officejet_Pro_8600')
:icon: 'file:///usr/share/hplip/data/images/32x32/error.png'
:self: <ui4.systemtray.SystemTrayApp object at 0x1d2c830>
:m: ''
:show_message: True
:s: 5
:r: [5]
:w: []
:desc: 'Device communication error'
:event: <base.device.Event object at 0x239eb10>
:urgency: <enum NOTIFY_URGENCY_CRITICAL of type NotifyUrgency>
:error_state: 101
Comment 1 myas 2012-10-29 20:21:26 EDT
Created attachment 635261 [details]
File: environ
Comment 2 myas 2012-10-29 20:21:28 EDT
Created attachment 635262 [details]
File: event_log
Comment 3 myas 2012-10-29 20:21:30 EDT
Created attachment 635263 [details]
File: smolt_data
Comment 4 myas 2012-10-29 20:21:32 EDT
Created attachment 635264 [details]
File: core_backtrace
Comment 5 Tim Waugh 2012-10-30 10:58:36 EDT
One of the problems involved with this is that CUPS does not validate UTF-8 strings provided by clients.  In this instance, I think the title of the job is not valid UTF-8.
Comment 6 Tim Waugh 2012-10-30 10:59:27 EDT
Created attachment 635644 [details]
hplip-ensure-utf8.patch (potential fix for crash)
Comment 7 Fedora End Of Life 2013-07-04 02:58:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:39:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.